Secrets of Toanium - Bug #316

Room Map file throws error when referencing starters for older test levels.
Description

Screenshot of error in attached image.

History

#1 - 08/30/2024 08:08 PM - Administrator Administrator

Please check if this is still broken.

#2 - 08/30/2024 08:08 PM - Administrator Administrator

- Assignee changed from Jay Gischer to Frank Fernandez

#3 - 09/18/2024 12:08 AM - Frank Fernandez

- Status changed from New to Feedback

- Assignee changed from Frank Fernandez to Jay Gischer

Appears to still be an issue but slightly different error now.

Exception while simulating the effect of invoking

efined (reading 'size_x")

at calculateRoomMap (roomMap.js:43:32)
at getRoomMap (roomMap.js:35:22)

at Object.execute (beginRound.js:180:72)
at Object.execute (base.js:41:32)

at operation.execute (base.]js:66:19)

at livedata_connection.js:661:27

'operation.execute' TypeError:

at EVp.withValue (meteor.js?hash=857dafb4b9dffl7e29ed8498a22ea5bla3deb41d:1207:15)

at Connection.apply (livedata_connection.js:650:56)
at Connection.call (livedata_connection.js:551:17)
at click button#launch-instance

#4 - 06/25/2025 09:25 PM - Administrator Administrator
- Status changed from Feedback to Closed

Pushed with 0.28.0

(ready.js:103:12)

RoomMap got a bunch of work here, and we seem to be past the specific issue in this ticket.
